API ReferenceapipaymentsGET /v1/admin/disputes/{id}

GET /v1/admin/disputes/\{id\}

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Dispute detail

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "payment_id": {
      "type": "string"
    },
    "stripe_dispute_id": {
      "type": "string"
    },
    "amount_cents": {
      "type": "integer"
    },
    "currency": {
      "type": "string"
    },
    "reason": {
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "type": "string"
    },
    "brand_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "stripe_charge_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "evidence_due_by": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    },
    "resolved_at": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "payment_id",
    "stripe_dispute_id",
    "amount_cents",
    "currency",
    "reason",
    "status",
    "brand_id",
    "stripe_charge_id",
    "evidence_due_by",
    "created_at",
    "updated_at",
    "resolved_at"
  ]
}

401 Unauthorized

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

403 Forbidden

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Dispute not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/admin/disputes/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"